package com.muyu.domain.model;


import com.muyu.domain.req.ActivityInfoAddReq;
import com.muyu.domain.req.ActivityInfoSkuAddReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 拼团规格添加模板
 *
 * @author: CuiFu Bo
 * @create: 2024-11-22 20:37
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivitySkuModel {

    List<ActivityInfoSkuAddReq> activityInfoAdd;

    public static ActivitySkuModel activitySkuModel(ActivityInfoAddReq req){
        return ActivitySkuModel.builder()
                .activityInfoAdd(req.getSkuList())
                .build();
    }
}
