package com.muyu.system.team.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.TeamStrategyExemptionHundred;
import com.muyu.system.team.strategy.ActivityTeamStrategy;

/**
 *  百人策略
 * @author: CuiFu Bo
 * @create: 2024-11-20 21:38
 **/
public interface TeamStrategyHundredService extends ActivityTeamStrategy, IService<TeamStrategyExemptionHundred> {
    /**
     * 开团
     */
    public void openTeam(Long activityTeamId,String orderNumber);

    /**
     * 参团
     */
    public void addTeam(Long teamId,String orderNumber);
}

